program containsfuggveny
 implicit none
 real :: a, eredmeny

 a=2.
 
 eredmeny = novel(a) ! a novel fuggveny meghivasa
 write(*,*) 'a=',a,' kettovel megnovelve: ',eredmeny


contains

 real function novel(x)
 implicit none
  real, intent(in) :: x
   novel=x+2.0  ! a 2-vel megnovelt erteket kapja meg a fuggveny.
		! Ez az ertek a fenti meghivaskor az 'eredmeny'
		! valtozoba kerul.
 end function novel

end program containsfuggveny
!/Karol
